package domain

type AlibabaWdkMarketingDiscountItemRemoveAsyncCommonActivityParam struct {
	/*
	   外部活动编码     */
	OutActId *string `json:"out_act_id,omitempty" `

	/*
	   活动Id     */
	ActivityId *int64 `json:"activity_id,omitempty" `
}

func (s *AlibabaWdkMarketingDiscountItemRemoveAsyncCommonActivityParam) SetOutActId(v string) *AlibabaWdkMarketingDiscountItemRemoveAsyncCommonActivityParam {
	s.OutActId = &v
	return s
}
func (s *AlibabaWdkMarketingDiscountItemRemoveAsyncCommonActivityParam) SetActivityId(v int64) *AlibabaWdkMarketingDiscountItemRemoveAsyncCommonActivityParam {
	s.ActivityId = &v
	return s
}
